<!doctype html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport"
          content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <link rel="stylesheet" href="style.css">
    <title>control js</title>
</head>
<body>

<label for="username"> username :
    <input type="text" name="username" id="username">
</label>

<br>
<label for="password"> password :
    <input type="text" name="password" id="password">
</label>
<br>
<label for="confirm-password"> confirm password :
    <input type="text" name="confirm-password" id="confirm-password">
</label>

<br>
<label for="tel" >tel :
    <input type="text" name="tel" id="tel">
</label>

<br>
<label for="mail">mail :
    <input type="text" name="mail" id="mail">
</label>

<input type="submit" id="submit" value="vérifié">

<div id="error" class="error"></div>

<div id="success" class="success"></div>


</body>


<script>
 parent = document.getElementById("error");
 parentsucces = document.getElementById("success")

    document.getElementById("submit").onclick=function () {
        username = document.getElementById("username").value
        mdp1 = document.getElementById("password").value
        mdp2 = document.getElementById("confirm-password").value
        tel = document.getElementById("tel").value
        mail = document.getElementById("mail").value

        usernamelength = username.length

        mdplength = mdp1.length

        tellength = tel.length

       /* console.log(username)
        console.log(usernamelength)
        console.log(mdp1)
        console.log(mdplength)
        console.log(mdp2)
        console.log(tel)
        console.log(tellength)
        console.log(mail)*/

        var a
        if (usernamelength === 0) {
            a = document.createElement("div")
            a.innerHTML = "Identifiant obligatoire"
            parent.appendChild(a)
            valideusername = false
        }

        var b;
        var valideusername;
        if (usernamelength < 8) {
            b = document.createElement("div")
            b.innerHTML = "Identifiant trop court"
            parent.appendChild(b)
            usernameerror2 = "Identifiant trop court"
            valideusername = false
        } else {
            valideusername = true
            console.log("username")
            console.log(valideusername)
            /*console.log(valideusername)*/
        }

        var un = new RegExp("1");
        var deux = new RegExp("2");
        var trois = new RegExp("3");
        var quatre = new RegExp("4");
        var cinq = new RegExp("5");
        var six = new RegExp("6");
        var sept = new RegExp("7");
        var huit = new RegExp("8");
        var neuf = new RegExp("9");

        res1 = un.test(mdp1)
        res2 = deux.test(mdp1)
        res3 = trois.test(mdp1)
        res4 = quatre.test(mdp1)
        res5 = cinq.test(mdp1)
        res6 = six.test(mdp1)
        res7 = sept.test(mdp1)
        res8 = huit.test(mdp1)
        res9 = neuf.test(mdp1)


        var c;
        if (mdplength === 0) {
            c = document.createElement("div")
            c.innerHTML = "il faut un mdp"
            parent.appendChild(c)
            validemdp1 = false

        } else var d;
        if (mdplength < 8) {
            d = document.createElement("div")
            d.innerHTML = "Mot de passe trop court trop court"
            parent.appendChild(d)
            validemdp1 = false
        } else var e;
        var validemdp1;
        if (res1 === true || res2 === true || res3 === true ||
            res4 === true || res5 === true || res6 === true ||
            res7 === true || res8 === true || res9 === true) {
            validemdp1 = true
            console.log("mdp1")
            console.log(validemdp1)
        } else {
            e = document.createElement("div")
            e.innerHTML = "Le mot de passe doit contenir au moins un chiffre"
            parent.appendChild(e)
            validemdp1 = false

        }


        var validemdp2;
        if (mdp1 === mdp2) {
            console.log("mdp2")
            validemdp2 = true
            console.log(validemdp2)
        }
        var f;
        if (validemdp2 !== true) {
            f = document.createElement("div")
            f.innerHTML = "Les mots de passe ne correspondent pas"
            parent.appendChild(f)
        }



         telletter = /^[0-9]+$/.test(tel)



        var g;
        if (tellength !== 10) {
            g = document.createElement("div")
            g.innerHTML = "Le téléphone est invalide"
            parent.appendChild(g)


        } else var h;

        var validetel;
        if (telletter === false) {
            h = document.createElement("div")
            h.innerHTML = "Le téléphone est invalide"
            parent.appendChild(h)
            validetel = false

        } else {
            validetel = true
            console.log("tel")
            console.log(validetel)
        }


        var mailformat = /^[a-zA-Z0-9.!#$%&'*+/=?^_`{|}~-]+@[a-zA-Z0-9-]+(?:\.[a-zA-Z0-9-]+)*$/;
        var j;
        var validemail;
        if (mail.match(mailformat)) {
            validemail = true
            console.log("mail")
            console.log(validemail)
        } else {
            j = document.createElement("div")
            j.innerHTML = "Le mail est invalide"
            parent.appendChild(j)
        }
            console.log(valideusername)
        var k;
        if (valideusername === true && validemdp1 === true && validemdp2 === true &&
            validetel === true && validemail === true) {
            k = document.createElement("div")
            k.innerHTML = "compte créé"
            parentsucces.appendChild(k)
        }
    }





</script>
</html>